#include "common_include.h"
#include "bsp_app_led_output.h"

void InitTelltale_BDC_PE(void)
{
#if (PRO_BDC_PE) 
    if (GetCluType() == STD_CFG){
        SetTelltalePos("HighBeam",              HighBeam);
        SetTelltalePos("HBA Green",             HBAGreen);
        SetTelltalePos("HBA White",             HBAWhite);
        SetTelltalePos("LowBeam",                LowBeam);
        SetTelltalePos("LeftTurn",              LeftTurn);
        SetTelltalePos("RightTurn",            RightTurn);
        SetTelltalePos("TailLamp",              TailLamp);
        SetTelltalePos("Front Fog",             FrontFog);
        SetTelltalePos("RearFog",                RearFog);
        SetTelltalePos("ParkingBreak",      ParkingBreak);
        SetTelltalePos("ABS",                        ABS);
        SetTelltalePos("MasterSymbol",      MasterSymbol);
        SetTelltalePos("Tpms",                      Tpms);
        SetTelltalePos("Immobilizer",        Immobilizer);
        SetTelltalePos("SeatBelt",              SeatBelt);
        SetTelltalePos("LED Lamp Fail",      LedLampFail);
        SetTelltalePos("ECALL",                    Ecall);
        SetTelltalePos("InteriorLamp",      InteriorLamp);
        SetTelltalePos("FCA Yellow",           FcaYellow);
        SetTelltalePos("FCA RedBlink",            FcaRed);
        SetTelltalePos("DpfGpf",                  DpfGpf);
        SetTelltalePos("Mdps",                      Mdps);
        SetTelltalePos("BatteryCharge",    BatteryCharge);
        SetTelltalePos("AirBag",                  AirBag);
        SetTelltalePos("OilPressure",        OilPressure);
        SetTelltalePos("ESC",                        ESC);
        SetTelltalePos("EscOff",                  EscOff);
        SetTelltalePos("CheckEngine",        CheckEngine);
        SetTelltalePos("AllLedOpen",          AllLedOpen);
        SetTelltalePos("LowFuel",     DMS_RestoreDefault);
    }
    else{
        SetTelltalePos("InteriorLamp",      InteriorLamp);
        SetTelltalePos("AllLedOpen",          AllLedOpen);
        SetTelltalePos("LowFuel",     DMS_RestoreDefault);
    }
#endif
}


